Events

Event map pins

GET/events/geojson

Returns published events that have coordinates as a GeoJSON FeatureCollection. Not paginated; narrow the result with bbox. Filters have the same meaning as GET /events.

AuthNot required

Query parameters

timeFilter'upcoming' | 'past'optional

Filter by time.

startDate / endDatestring (YYYY-MM-DD)optional

Filter by date range overlap.

isPaidstringoptional

Paid / free (true / false, comma-separated)

qstringoptional

Keyword (title / description / slug, AND)

tagsstringoptional

Tags (comma-separated, OR)

bboxstringoptional

Map bbox minLng,minLat,maxLng,maxLat.

Response

FieldTypeDescription
type'FeatureCollection'RFC 7946 FeatureCollection.
featuresGeoFeature[]Map pins; events with several venues use MultiPoint.
Request
curl https://api.4s.link/events/geojson \
-H "Authorization: Bearer 4s_at_..."
Example response
{
"type": "FeatureCollection",
"features": [
{
"type": "Feature",
"geometry": { "type": "Point", "coordinates": [139.7671, 35.6812] },
"properties": {
"eventId": "e1f2a3b4-...",
"slug": "tech-conf-2026",
"title": "4S Tech Conference 2026"
}
}
]
}